Bug 210320 - Review Request: perl-File-BaseDir - Use the freedesktop basedir spec
Review Request: perl-File-BaseDir - Use the freedesktop basedir spec
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 210323
Blocks: FE-ACCEPT 210322
  Show dependency treegraph
 
Reported: 2006-10-11 11:28 EDT by Patrice Dumas
Modified: 2012-12-12 10:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 17:31:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-10-11 11:28:20 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-File-BaseDir.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-File-BaseDir-0.02-1.src.rpm
Description: 

This module can be used to find directories and files as specified by the
XDG Base Directory Specification. It takes care of defaults and uses
File::Spec to make the output platform specific.
Comment 1 Jason Tibbitts 2006-10-14 12:40:54 EDT
Looks like the dependencies are a bit messed up.
Comment 2 Jason Tibbitts 2006-10-14 16:43:23 EDT
I put perl-File-DesktopEntry in a local repo so I could get through this faster.

* source files match upstream:
  00e2729f364d430350355250cb9007e0  File-BaseDir-0.02.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(File::BaseDir) = 0.02
   perl-File-BaseDir = 0.02-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Exporter)
   perl(File::Spec)
   perl(strict)
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=5,  0 wallclock secs ( 0.01 cusr +  0.02 csys =  0.03 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 3 Patrice Dumas 2006-10-17 17:31:49 EDT
Thanks for the quick review.

Built in FC5, devel, owner added.
Comment 4 Orion Poplawski 2012-12-11 12:14:03 EST
I'd like to see this in EPEL6.  I can maintain it there if needed.
Comment 5 Marcela Mašláňová 2012-12-12 09:15:45 EST
Feel free to take it for EPEL.
Comment 6 Orion Poplawski 2012-12-12 10:36:44 EST
Thanks for the response.

Package Change Request
======================
Package Name: perl-File-BaseDir
New Branches: el6
Owners: orion
InitialCC:
Comment 7 Gwyn Ciesla 2012-12-12 10:37:49 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.